<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__tft_8h" kind="file" language="C++">
    <compoundname>cy_tft.h</compoundname>
    <includedby local="yes" refid="cy8ckit__028__tft_8h">cy8ckit_028_tft.h</includedby>
    <briefdescription>
<para>DEPRICATED TFT functions. </para>    </briefdescription>
    <detaileddescription>
<para>These items have been replaced by items in mtb_st7789v.h. This file will be removed in a future release.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="preprocessor">#include<sp />&lt;stddef.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_st7789v.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy8ckit_028_tft_pins.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal">{</highlight></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />cy_rslt_t<sp />cy_tft_io_init(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />mtb_st7789v_pins_t<sp />PINS<sp />=</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db08<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga02424140bce494595081c3ed46a92f02">CY8CKIT_028_TFT_PIN_DISPLAY_DB8</ref>,</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db09<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga3ffe5b526dd6d1100575300fa05f4d1d">CY8CKIT_028_TFT_PIN_DISPLAY_DB9</ref>,</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db10<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga63d7ac3d543d82940cd81dfa96b62413">CY8CKIT_028_TFT_PIN_DISPLAY_DB10</ref>,</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db11<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gad11f8c426ad7188612ba4fb6ba3a3bbe">CY8CKIT_028_TFT_PIN_DISPLAY_DB11</ref>,</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db12<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaaec7c632c059faa899e646f741ce6e54">CY8CKIT_028_TFT_PIN_DISPLAY_DB12</ref>,</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db13<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gab5b49e4fec158e9f3b3777f839fde72c">CY8CKIT_028_TFT_PIN_DISPLAY_DB13</ref>,</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db14<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga0b0006a6dc18f5c3bca5a3696774c649">CY8CKIT_028_TFT_PIN_DISPLAY_DB14</ref>,</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.db15<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gabe5468d301f54b20d2f9af09b63ac145">CY8CKIT_028_TFT_PIN_DISPLAY_DB15</ref>,</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nrd<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga19d3139f95cc113d7e14183839aebf4b">CY8CKIT_028_TFT_PIN_DISPLAY_NRD</ref>,</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nwr<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga5477b1dda2c63e0f5b69c2f0d873b6cb">CY8CKIT_028_TFT_PIN_DISPLAY_NWR</ref>,</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dc<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1gaa646ebada414a1f77f52265cf3ad78c4">CY8CKIT_028_TFT_PIN_DISPLAY_DC</ref>,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.rst<sp />=<sp /><ref kindref="member" refid="group__group__board__libs__pins_1ga48ba4d6e720cfcdf52ce7b2f4d5bc4b0">CY8CKIT_028_TFT_PIN_DISPLAY_RST</ref>,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />mtb_st7789v_init8(&amp;PINS);</highlight></codeline>
<codeline lineno="71"><highlight class="normal">}</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_write_reset_pin(uint8_t<sp />value)</highlight></codeline>
<codeline lineno="78"><highlight class="normal">{</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_write_reset_pin((</highlight><highlight class="keywordtype">bool</highlight><highlight class="normal">)value);</highlight></codeline>
<codeline lineno="80"><highlight class="normal">}</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_write_command(uint8_t<sp />command)</highlight></codeline>
<codeline lineno="88"><highlight class="normal">{</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_write_command(command);</highlight></codeline>
<codeline lineno="90"><highlight class="normal">}</highlight></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_write_data(uint8_t<sp />data)</highlight></codeline>
<codeline lineno="98"><highlight class="normal">{</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_write_data(data);</highlight></codeline>
<codeline lineno="100"><highlight class="normal">}</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_write_command_stream(uint8_t<sp />data[],<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="109"><highlight class="normal">{</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_write_command_stream(data,<sp />num);</highlight></codeline>
<codeline lineno="111"><highlight class="normal">}</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_write_data_stream(uint8_t<sp />data[],<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="120"><highlight class="normal">{</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_write_data_stream(data,<sp />num);</highlight></codeline>
<codeline lineno="122"><highlight class="normal">}</highlight></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />uint8_t<sp />cy_tft_read_data(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="130"><highlight class="normal">{</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />mtb_st7789v_read_data();</highlight></codeline>
<codeline lineno="132"><highlight class="normal">}</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_read_data_stream(uint8_t<sp />data[],<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="141"><highlight class="normal">{</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_read_data_stream(data,<sp />num);</highlight></codeline>
<codeline lineno="143"><highlight class="normal">}</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />cy_tft_io_free(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="150"><highlight class="normal">{</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />mtb_st7789v_free();</highlight></codeline>
<codeline lineno="152"><highlight class="normal">}</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal">}</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-028-TFT/CY8CKIT-028-TFT/cy_tft.h" />
  </compounddef>
</doxygen>